[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [DeviceConstellation](index.md) / [state](./state.md)

# state

`abstract fun state(): `[`ConstellationState`](../-constellation-state/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/Devices.kt#L44)

Current state of the constellation. May be missing if state was never queried.

**Return**
[ConstellationState](../-constellation-state/index.md) describes current and other known devices in the constellation.

